/*-------------------------------------------------------------------------
 |                                                                         
 |             SAS SUPPLEMENTAL SYNTAX FILE FOR 
 |         NATIONAL MENTAL HEALTH SERVICES SURVEY (N-MHSS), 2012
 |
 | This SAS program is provided for optional use with the SAS transport
 | version of this data file. The metadata provided below are not stored
 | in the SAS transport version of this data collection.  
 | Users need to use SAS PROC CIMPORT to import the SAS
 | transport file to a SAS data set on their system. This program can
 | then be used in conjunction with the SAS system data file.
 |
 | DATA:  begins a SAS data step and names an output SAS data set. Users
 | should replace "SAS-dataset" with their name for the SAS data set copied
 | from the SAS transport file. Users can add a SAS libname statement
 | and an output SAS data set name to make a permanent SAS data set.
 |
 | MISSING VALUE RECODES:  sets user-defined numeric missing values to
 | missing as interpreted by the SAS system. Only variables with
 | user-defined missing values are included in this section.
 |
 | If any variables have more than one missing value, they are assigned
 | to the standard missing value of a single period (.) in the statement
 | below. To maintain the original meaning of missing codes, users may want
 | to take advantage of the SAS missing values (the letters A-Z or an
 | underscore preceded by a period).
 |
 | An example of a standard missing value recode:
 |
 |   IF (RELATION = 98 OR RELATION = 99) THEN RELATION = .;
 |
 | The same example using special missing value recodes:
 |
 |    IF RELATION = 98 THEN RELATION = .A;
 |    IF RELATION = 99 THEN RELATION = .B;
 |
 | NOTE:  Users should modify this file to suit their specific needs.
 | The MISSING VALUE RECODES section has been commented out (i.e., '/*').
 | To make this section active in the program, users should remove the SAS
 | comment indicators from this section.
 |
 |------------------------------------------------------------------------*/

* SAS DATA STEP;
DATA;
SET SAS-dataset ;


* USER-DEFINED MISSING VALUES RECODE TO SAS SYSMIS;

/*
IF (CASEID  <= -1) THEN CASEID  = .;
IF (MHINTAKE  <= -1) THEN MHINTAKE  = .;
IF (MHDIAGEVAL  <= -1) THEN MHDIAGEVAL  = .;
IF (MHREFERRAL  <= -1) THEN MHREFERRAL  = .;
IF (MENTALHTHSERV  <= -1) THEN MENTALHTHSERV  = .;
IF (TREATMT  <= -1) THEN TREATMT  = .;
IF (ADMINSERV  <= -1) THEN ADMINSERV  = .;
IF (SETTINGIP  <= -1) THEN SETTINGIP  = .;
IF (SETTINGRC  <= -1) THEN SETTINGRC  = .;
IF (SETTINGDTPH  <= -1) THEN SETTINGDTPH  = .;
IF (SETTINGOP  <= -1) THEN SETTINGOP  = .;
IF (FACILITYTYPE  <= -1) THEN FACILITYTYPE  = .;
IF (OWNERSHIP  <= -1) THEN OWNERSHIP  = .;
IF (FEDOWN  <= -1) THEN FEDOWN  = .;
IF (PSYCHOSES  <= -1) THEN PSYCHOSES  = .;
IF (MOOD  <= -1) THEN MOOD  = .;
IF (AUTISM  <= -1) THEN AUTISM  = .;
IF (CONDUCT  <= -1) THEN CONDUCT  = .;
IF (ANXIETY  <= -1) THEN ANXIETY  = .;
IF (EATING  <= -1) THEN EATING  = .;
IF (DISORDEROTH  <= -1) THEN DISORDEROTH  = .;
IF (CHILDAD  <= -1) THEN CHILDAD  = .;
IF (YOUNGADULTS  <= -1) THEN YOUNGADULTS  = .;
IF (ADULT  <= -1) THEN ADULT  = .;
IF (SED1  <= -1) THEN SED1  = .;
IF (SPMI1  <= -1) THEN SPMI1  = .;
IF (SRVC81  <= -1) THEN SRVC81  = .;
IF (ALZHDEMENTIA1  <= -1) THEN ALZHDEMENTIA1  = .;
IF (SRVC77  <= -1) THEN SRVC77  = .;
IF (POSTTRAUM1  <= -1) THEN POSTTRAUM1  = .;
IF (SRVC109  <= -1) THEN SRVC109  = .;
IF (SRVC110  <= -1) THEN SRVC110  = .;
IF (SRVC111  <= -1) THEN SRVC111  = .;
IF (TRAUMATICBRAIN1  <= -1) THEN TRAUMATICBRAIN1  = .;
IF (SRVC80  <= -1) THEN SRVC80  = .;
IF (FORENSIC1  <= -1) THEN FORENSIC1  = .;
IF (SED  <= -1) THEN SED  = .;
IF (SPMI  <= -1) THEN SPMI  = .;
IF (SRVC63  <= -1) THEN SRVC63  = .;
IF (ALZHDEMENTIA  <= -1) THEN ALZHDEMENTIA  = .;
IF (SRVC31  <= -1) THEN SRVC31  = .;
IF (POSTTRAUM  <= -1) THEN POSTTRAUM  = .;
IF (SRVC113  <= -1) THEN SRVC113  = .;
IF (SRVC114  <= -1) THEN SRVC114  = .;
IF (SRVC115  <= -1) THEN SRVC115  = .;
IF (TRAUMATICBRAIN  <= -1) THEN TRAUMATICBRAIN  = .;
IF (SRVC62  <= -1) THEN SRVC62  = .;
IF (FORENSIC  <= -1) THEN FORENSIC  = .;
IF (SRVC35  <= -1) THEN SRVC35  = .;
IF (MHCONSUMER  <= -1) THEN MHCONSUMER  = .;
IF (MHEMGCY  <= -1) THEN MHEMGCY  = .;
IF (TREATTELEMDINCE  <= -1) THEN TREATTELEMDINCE  = .;
IF (CRISISTEAM2  <= -1) THEN CRISISTEAM2  = .;
IF (HEARIMPAIR  <= -1) THEN HEARIMPAIR  = .;
IF (LANG  <= -1) THEN LANG  = .;
IF (LANG16  <= -1) THEN LANG16  = .;
IF (LANG_B  <= -1) THEN LANG_B  = .;
IF (LANG1  <= -1) THEN LANG1  = .;
IF (LANG2  <= -1) THEN LANG2  = .;
IF (LANG3  <= -1) THEN LANG3  = .;
IF (LANG21  <= -1) THEN LANG21  = .;
IF (LANG4  <= -1) THEN LANG4  = .;
IF (LANG5  <= -1) THEN LANG5  = .;
IF (LANG6  <= -1) THEN LANG6  = .;
IF (LANG7  <= -1) THEN LANG7  = .;
IF (LANG8  <= -1) THEN LANG8  = .;
IF (LANG9  <= -1) THEN LANG9  = .;
IF (LANG10  <= -1) THEN LANG10  = .;
IF (LANG22  <= -1) THEN LANG22  = .;
IF (LANG11  <= -1) THEN LANG11  = .;
IF (LANG19  <= -1) THEN LANG19  = .;
IF (LANG23  <= -1) THEN LANG23  = .;
IF (LANG12  <= -1) THEN LANG12  = .;
IF (LANG13  <= -1) THEN LANG13  = .;
IF (LANG14  <= -1) THEN LANG14  = .;
IF (LANG15  <= -1) THEN LANG15  = .;
IF (LANG20  <= -1) THEN LANG20  = .;
IF (LANG17  <= -1) THEN LANG17  = .;
IF (LANG18  <= -1) THEN LANG18  = .;
IF (FEESCALE  <= -1) THEN FEESCALE  = .;
IF (FEESCALELOCATOR  <= -1) THEN FEESCALELOCATOR  = .;
IF (PAYASST  <= -1) THEN PAYASST  = .;
IF (NOCHARGELOCATOR  <= -1) THEN NOCHARGELOCATOR  = .;
IF (REVCHK1  <= -1) THEN REVCHK1  = .;
IF (REVCHK8  <= -1) THEN REVCHK8  = .;
IF (REVCHK5  <= -1) THEN REVCHK5  = .;
IF (REVCHK10  <= -1) THEN REVCHK10  = .;
IF (REVCHK15  <= -1) THEN REVCHK15  = .;
IF (REVCHK2  <= -1) THEN REVCHK2  = .;
IF (REVCHK17  <= -1) THEN REVCHK17  = .;
IF (REVCHK2A  <= -1) THEN REVCHK2A  = .;
*/

RUN ;
